# Created by pyp2rpm-3.3.2
%global pypi_name dennis

Name:           python-%{pypi_name}
Version:        0.9
Release:        1%{?dist}
Summary:        Utilities for working with PO and POT files to ease development and improve localization quality

License:        Simplified BSD License
URL:            http://github.com/willkg/dennis
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(click) >= 6
BuildRequires:  python3dist(polib) >= 1.0.8
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
Read me Dennis is a set of utilities for working with PO files to ease
development and improve quality. Translate POT files to find problems with
localization in your code. Lint PO files for common problems like variable
formatting, mismatched HTML, missing variables, etc.It includes the following
subcommands:* **lint**: Lints PO and POT files for problems including errors
that can cause your...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(click) >= 6
Requires:       python3dist(polib) >= 1.0.8
%description -n python3-%{pypi_name}
Read me Dennis is a set of utilities for working with PO files to ease
development and improve quality. Translate POT files to find problems with
localization in your code. Lint PO files for common problems like variable
formatting, mismatched HTML, missing variables, etc.It includes the following
subcommands:* **lint**: Lints PO and POT files for problems including errors
that can cause your...

%package -n python-%{pypi_name}-doc
Summary:        dennis documentation
%description -n python-%{pypi_name}-doc
Documentation for dennis

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/license.rst
%doc README.rst
%{_bindir}/dennis-cmd
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/tests
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/license.rst

%changelog
* Wed Dec 19 2018 David Shea <dshea@redhat.com> - 0.9-1
- Initial package.
